Bug 108715 - After upgrade to 2.4.20-20.9 I can no longer mount ext3 root
After upgrade to 2.4.20-20.9 I can no longer mount ext3 root
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 09:37 EST by erik
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description erik 2003-10-31 09:37:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Did an rpm -F * in pub/os/linux/redhat/updates/9/en/os/i386/.

This deinstalled the 2.4.20-20.8 ump and smp kernels installed in a new RH9
installation and put only a ump 2.4.20-20.9 kernel in its place.  Unfortunately
I now can't boot.

I am using ext3 and grub.

Just trying to boot results in the root fs not being found.  The kernel command
line looks for it by label, so I edited the command line to find it by partition
name /dev/hda3.

Now I still can't boot, because I am using ext3 and the ext2 support in the new
kernel refuses to mount it, saying that I am using an unsupported ext2 option
(4).  This option means that the ext3 fs is unchecked.  I can't remember whether
I did an unclean shutdown, but I may have done.

Version-Release number of selected component (if applicable):
2.4.20-20.9

How reproducible:
Didn't try


Additional info:
Comment 1 Dave Jones 2003-11-18 09:49:42 EST
the ext3 partition should be getting mounted as ext3 if it can load
the ext3 module from the initrd. The fact that it can't suggests
either the initrd didn't get installed, or the bootloader config got
screwed up.
Comment 2 Bugzilla owner 2004-09-30 11:41:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.